POSIX_SPAWNATTR_SETPGROUP(3)

NAME
posix_spawnattr_setpgroup posix_spawnattr_getpgroup - set or get the spawn-pgroup attribute on a posix_spawnattr_t

SYNOPSIS
#include <spawn.h>
int
posix_spawnattr_setpgroup(posix_spawnattr_t *attr, pid_t pgroup);
int
posix_spawnattr_getpgroup(const posix_spawnattr_t *restrict attr, pid_t *restrict pgroup);

DESCRIPTION
The posix_spawnattr_setpgroup() function sets the pgroup on the attributes object referenced by attr.

The posix_spawnattr_getpgroup() function retrieves the pgroup on the attributes object referenced by attr.

The argument pgroup is the process group to be joined or created when the new process is created if the POSIX_SPAWN_SETPGROUP flag is set in the posix_spawnattr_t via a call to posix_spawnattr_setflags(3); its default value is 0, which means a new process group will be created.

RETURN VALUES
On success, these functions return 0; on failure they return an error number from <errno.h>. Additionally, if successful, posix_spawnattr_getpgroup() will modify the contents of the pgroup parameter with the current attribute value.

ERRORS
These functions may fail if:

[EINVAL]
    The value specified by attr is invalid.

[EINVAL]
    The value of attr is invalid.

SEE ALSO
posix_spawn(2), posix_spawnp(2), posix_spawnattr_init(3), posix_spawnattr_destroy(3), posix_spawnattr_setflags(3)

STANDARDS
susv3 [SPN]

HISTORY
The posix_spawnattr_setpgroup() and posix_spawnattr_getpgroup() function calls appeared in susv3 [SPN].